close all
clear all

cd .., cd code3_2
load F
cd .., cd code3_1

% define parameters
[Ny,Nx]=size(F); % 96,96

FOVy=240; FOVx=240; deltay=FOVy/Ny; deltax=FOVx/Nx;
deltakx=1/Ny/deltax; deltaky=1/Nx/deltay;

figure;
imagesc(real(F))
axis image, axis off, colormap(gray)
%print(gcf,'-dtiffn','-r300','FreqSpectrumImgR')
figure;
imagesc(imag(F)) 
axis image, axis off, colormap(gray)
%print(gcf,'-dtiffn','-r300','FreqSpectrumImgI')
figure;
imagesc(abs(F))
axis image, axis off, colormap(gray)
%print(gcf,'-dtiffn','-r300','FreqSpectrumImgM')
figure;
imagesc(angle(F),[-pi,pi]) 
axis image, axis off, colormap(gray)
%print(gcf,'-dtiffn','-r300','FreqSpectrumImgP')

figure;
imagesc(real((F)),[-10000,10000])
axis image, axis off, colormap(gray)
%print(gcf,'-dtiffn','-r300','FreqSpectrumImgRlight')

% take inverse Fourier transforms
OmegaxC=zeros(Nx,Nx);
for k=1:Nx
    for j=1:Nx
        OmegaxC(k,j)=exp(1i*2*pi*(k-(Nx/2+1))*(j-(Nx/2+1))/Nx);
    end
end
OmegaxC=OmegaxC/Nx;
OmegayC=zeros(Ny,Ny);
for k=1:Ny
    for j=1:Ny
        OmegayC(k,j)=exp(1i*2*pi*(k-(Ny/2+1))*(j-(Ny/2+1))/Ny);
    end
end
OmegayC=OmegayC/Ny;

figure;
imagesc(real(OmegaxC),[-1/Nx,1/Nx]);
axis image,colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','OmegayR')
figure;
imagesc(imag(OmegaxC),[-1/Nx,1/Nx]);
axis image,colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','OmegayI')
figure;
imagesc(real(OmegayC)',[-1/Ny,1/Ny]);
axis image,colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','OmegaxRt')
figure;
imagesc(imag(OmegayC)',[-1/Ny,1/Ny]);
axis image,colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','OmegaxIt')

YY  = (OmegayC*F *transpose(OmegaxC));

figure;
imagesc(real(YY),[-7.5,7.5])
axis image, colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','ImageRr')
figure;
imagesc(imag(YY),[-7.5,7.5])
axis image, colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','ImageIr')
figure;
imagesc(abs(YY),[0,7.5])
axis image, colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','ImageMr')
figure;
imagesc(angle(YY),[-pi,pi])
axis image, colormap(gray), axis off
%print(gcf,'-dtiffn','-r300','ImagePr')



