clear all
close all

showims=0;  % whether to display intermediate images
savemats=0; % whether to save operators, mean, var, cov, and corr
fullcorr=0; % whether to calculate the full correlation matrix
domagsq=0;  % whether to calculate magnitude square correlations
corTH=.001; % Threshold value for correlation images

% Processing flags: 0 for no, 1 for yes
disp('Setting Processing Flags')
pause(.1)

kc=30; w=15;  % Tukey k-space apodization
fwhm=2;       % Gaussian Voxel Smoothing Ny=96->2

ift=1; % Keep this at 1 to reconstruct images

maxOvec=zeros(8,4);
count=0;
for zfill=[0,1];
    for kapod=[0,1];
        for smooth=[0,1];
            count=count+1;
            
            if (zfill==0)
                NKy=96; NKx=NKy; Ny=NKy;  Nx=NKx;
            elseif (zfill==1)
                NKy=64; NKx=NKy; Ny=96;  Nx=Ny;
            end
            
            load(['maxO_NKy_',num2str(NKy),'_ZFeq',num2str(zfill),'Ny_',num2str(Ny),'APeq_',num2str(kapod),'IFTeq_',num2str(ift),'SMeq_',num2str(smooth)'])
            maxOvec(count,:)=[zfill,kapod,smooth,maxO];
            
        end
    end
end
maximumO=max(maxOvec);

MaxOvec1=maxOvec([1,2,5,6],4);
MaxOvec2=maxOvec([3,4,7,8],4);

maximumO1=max(MaxOvec1)
maximumO2=max(MaxOvec2)


save maximumO maximumO


for zfill=[0,1];
    for kapod=[0,1];
        for smooth=[0,1];
            count=count+1;
            
            if (zfill==0)
                NKy=96; NKx=NKy; Ny=NKy;  Nx=NKx;
            elseif (zfill==1)
                NKy=64; NKx=NKy; Ny=96;  Nx=Ny;
            end
            
            load(['O11_NKy_',num2str(NKy),'_ZFeq',num2str(zfill),'Ny_',num2str(Ny),'APeq_',num2str(kapod),'IFTeq_',num2str(ift),'SMeq_',num2str(smooth)'],'O11')
            load(['O12_NKy_',num2str(NKy),'_ZFeq',num2str(zfill),'Ny_',num2str(Ny),'APeq_',num2str(kapod),'IFTeq_',num2str(ift),'SMeq_',num2str(smooth)'],'O12')
            load(['O21_NKy_',num2str(NKy),'_ZFeq',num2str(zfill),'Ny_',num2str(Ny),'APeq_',num2str(kapod),'IFTeq_',num2str(ift),'SMeq_',num2str(smooth)'],'O21')
            load(['O22_NKy_',num2str(NKy),'_ZFeq',num2str(zfill),'Ny_',num2str(Ny),'APeq_',num2str(kapod),'IFTeq_',num2str(ift),'SMeq_',num2str(smooth)'],'O22')
            
            load myposnegmapblk.txt
            figure;
            imagesc([O11,O12;O21,O22],[-1.1e-4,1.1e-4]);
            axis image,colormap(myposnegmapblk), axis off
            print(gcf,'-dtiffn','-r300',['O_NKy_',num2str(NKy),'_ZFeq',num2str(zfill),'Ny_',num2str(Ny),'APeq_',num2str(kapod),'IFTeq_',num2str(ift),'SMeq_',num2str(smooth)])
            
        end
    end
end


