% generate matrix for Tukey k-space apodization
% only generates one part for real or imaginary

function [A] = getApod(Ny,kc,w)

Nx=Ny;

% Create the smoothing mask
AMask = zeros(Ny,Nx);
for i=1:Ny
    rowVal = -Ny/2-1+i;
    for j=1:Nx
        colVal = -Nx/2-1+j;
        k = sqrt(rowVal^2 + colVal^2);   
        if (k<kc)
            AMask(i,j)=1;
        elseif (k>=kc)&&(k<kc+w)
            AMask(i,j) = cos(pi*(k-kc)/2/w);
        end
    end
end

A=sparse((1:Nx*Ny)',(1:Nx*Ny)',reshape(AMask',Nx*Ny,1),Nx*Ny,Nx*Ny,Nx*Ny);
clear AMask


