

function [N] = getNyquist(NKy,showims)
NKx=NKy;

% read in the phase shift
cd .., cd .., cd Section3, cd code3_2
load delPhase
cd .., cd .., cd Section4, cd code4_2

% make permutation subOperator
ival=(1:2*NKx*NKy)';
jval=zeros(2*NKx*NKy,1);
for count=1:NKy
    jval(2*(count-1)*NKx+1:2*NKx+2*(count-1)*NKx,1)=[(count-1)*NKx+1:NKx+(count-1)*NKx,NKx*NKy+(count-1)*NKx+1:NKx*NKy+count*NKx]';
end
mval=ones(2*NKx*NKy,1);
rowP=sparse(ival,jval,mval,2*NKx*NKy,2*NKx*NKy);
clear ival jval mval

if(showims==1)
    figure;
    imagesc(rowP,[-1 1]);
    axis image,colormap(gray), axis off
end

% set Nyquist correection operator to permutation matrix
N=rowP;

% make FT each line of k-space subOperator
OmegaxC=zeros(NKx,NKx);
for k=1:NKx
    for j=1:NKx
        OmegaxC(k,j)=exp(-1i*2*pi*(k-(NKx/2+1))*(j-(NKx/2+1))/NKx);
    end
end
OmegaxR=real(OmegaxC);
OmegaxI=imag(OmegaxC);
clear OmegaxC

% generate operator to FT all NKy lines of k-space
Omegax = kron(speye(NKy),[OmegaxR, -OmegaxI; OmegaxI, OmegaxR]);
clear OmegaxR OmegaxI

if(showims==1)
    figure;
    imagesc(Omegax);
    axis image,colormap(gray),axis off
end

% combine permutation and FT operators
N=Omegax*N;
clear Omegax

% make phase shift subOperator
delPhase1=(delPhase/4+pi);  % shift for odd lines
cosTerm = cos(delPhase1);
sinTerm = sin(delPhase1);
Rot1=[cosTerm,-sinTerm;sinTerm,cosTerm];
delPhase2=0;              % shift for even lines
cosTerm2 = cos(delPhase2);
sinTerm2 = sin(delPhase2);
Rot2=[cosTerm2,-sinTerm2;sinTerm2,cosTerm2];

phaseShift=kron(speye(NKy/2),[kron(speye(NKx),Rot1),spalloc(2*NKx,2*NKx,0);...
                              spalloc(2*NKx,2*NKx,0),kron(speye(NKx),Rot2)]);

if(showims==1)
    figure;
    imagesc(phaseShift(1:4*NKx,1:4*NKx),[-1 1]);
    axis image, colormap(gray), axis off
end

N=phaseShift*N;

% make IFT of each line subOperator
IOmegaxC=zeros(NKx,NKx);
for k=1:NKx
    for j=1:NKx
        IOmegaxC(k,j)=exp(1i*2*pi*(k-(NKx/2+1))*(j-(NKx/2+1))/NKx);
    end
end
IOmegaxC = IOmegaxC/NKx;
IOmegaxR = real(IOmegaxC);
IOmegaxI = imag(IOmegaxC);
clear IOmegaxC k j

IOmegax = kron(speye(NKy),[IOmegaxR, -IOmegaxI; IOmegaxI, IOmegaxR]);
clear IOmegaxR IOmegaxI

if(showims==1)
    figure;
    imagesc(IOmegax);
    axis image, colormap(gray), axis off
end

N=IOmegax*N;

if(showims==1)
    figure;
    imagesc(rowP',[-1 1]);
    axis image, colormap(gray), axis off
end

% in all N=P'*IOmegax*phaseShift*Omegax*P
N=rowP'*N;

if(showims==1)
    figure;
    imagesc(N,[-1 1]);
    axis image, colormap(gray), axis off
end


clear rowP







